echo off
cls
goto start
:usage
echo .=================================================================
echo .===== request.bat -- prepare request for distribution       =====
echo .=====                permission, using Ventura Publisher,   =====
echo .=====                company letterhead                     =====
echo .=====                                                       =====
echo .===== usage:                                                =====
echo .=====        request vendinfo_file                          =====
echo .=====                                                       =====
echo .===== where:                                                =====
echo .=====        vendinfo_file is the filename of a             =====
echo .=====        VENDINFO.DIZ file from the product package.    =====
echo .=====                                                       =====
echo .===== example:                                              =====
echo .=====    request vendinfo.diz                               =====
echo .=====                                                       =====
echo .=== Copyright 1993 Rams' Island Software All Rights Reserved ====
echo .== 1993 Rams' Island Software, 7644 Lakecliff, Parker CO 80134 ==
echo .=================================================================
goto done

rem ----- check arguments -------------------------------------------
:start
if %1. == .        goto usage

:argsOK
rem ----- need ability to produce today's date HERE -----------------

rem ----- output address of product's author ------------------------
vendprcs %1 -ean
if errorlevel 51 goto use_company

vendprcs %1 -xan -y "@@AUTHOR = @"             > letter.txt
goto addressee_done

:use_company
vendprcs %1 -xac -y "@@AUTHOR = @"             > letter.txt

:addressee_done
vendprcs -y " "                               >> letter.txt
vendprcs %1 -xaa -y "@@ADDRESS = @" -zv       >> letter.txt
vendprcs -y " "                               >> letter.txt

echo Dear Author:                             >> letter.txt
vendprcs -y " "                               >> letter.txt

echo We have recently received a copy of your >> letter.txt
vendprcs %1 -xpp -y "<B>@ " -zn               >> letter.txt
vendprcs %1 -xpe           -zn                >> letter.txt
vendprcs %1 -xpv -y " v@<D>."                 >> letter.txt
vendprcs -y " "                               >> letter.txt

echo We are quite interested in adding this program to our >> letter.txt
echo inventory, but we observe that you require written    >> letter.txt
echo permission for such distribution.                     >> letter.txt
vendprcs -y " "                               >> letter.txt

echo This letter will serve to introduce you to our business, >> letter.txt
echo and...                                   >> letter.txt
vendprcs -y " "                               >> letter.txt

echo @CLOSING = Yours truly,                  >> letter.txt
vendprcs -y " "                               >> letter.txt
vendprcs -y "@SIGNATURE = Ima D. Vendor"      >> letter.txt

:done
