@echo off
IF .%1==. GOTO SYNTAX
rem IF NOT .%2==. GOTO START
goto start
:Syntax
Echo 
Echo Syntax: VENDTEST [vendinfo.diz file] [options]
Echo 
goto exit

  ================================================================

        '          VENDTEST.BAT for testing the VENDPRCS program
    `  NN  '
   .  C oo  .      Batchfile made by Daan van Rooijen of CopyCats,
       \ O                           Netherlands, CIS 100121,1562
    ' /v\  `
                   Consider this PD :-)

       Lines that look like "ECHO  " are in fact "ECHO <@255>"

  ================================================================

:start
VENDPRCS %1 %2 %3 %4 %5 %6 %7 %8 %9
IF ERRORLEVEL  52  SET ERR=52
IF ERRORLEVEL  52 GOTO REPORT
IF ERRORLEVEL  51  SET ERR=51
IF ERRORLEVEL  51 GOTO REPORT
IF ERRORLEVEL  50  SET ERR=50
IF ERRORLEVEL  50 GOTO REPORT
IF ERRORLEVEL  40  SET ERR=40
IF ERRORLEVEL  40 GOTO REPORT
IF ERRORLEVEL  32  SET ERR=32
IF ERRORLEVEL  32 GOTO REPORT
IF ERRORLEVEL  31  SET ERR=31
IF ERRORLEVEL  31 GOTO REPORT
IF ERRORLEVEL  30  SET ERR=30
IF ERRORLEVEL  30 GOTO REPORT
IF ERRORLEVEL  22  SET ERR=22
IF ERRORLEVEL  22 GOTO REPORT
IF ERRORLEVEL  21  SET ERR=21
IF ERRORLEVEL  21 GOTO REPORT
IF ERRORLEVEL  20  SET ERR=20
IF ERRORLEVEL  20 GOTO REPORT
IF ERRORLEVEL  11  SET ERR=11
IF ERRORLEVEL  11 GOTO REPORT
IF ERRORLEVEL  10  SET ERR=10
IF ERRORLEVEL  10 GOTO REPORT
IF ERRORLEVEL   1   SET ERR=1
IF ERRORLEVEL   1 GOTO REPORT
IF ERRORLEVEL   0   SET ERR=0
IF ERRORLEVEL   0 GOTO REPORT

GOTO EXIT

:REPORT

ECHO 
ECHO ERRORLEVEL = %ERR%
ECHO 

if %ERR%==0 echo comment: No operation requested.

if %ERR%==1 echo comment: An error has occurred.  This is probably an incorrect field code, but
if %ERR%==1 echo          it might be due to other causes, in which case an error message
if %ERR%==1 echo          should be written to stderr.

if %ERR%==10 echo comment: VENDINFO file has wrong size or CRC for either the text or data 
if %ERR%==10 echo          section, and may be a hacked or corrupted file.

if %ERR%==11 echo comment: VENDINFO file has missing or invalid author authentication codes, and 
if %ERR%==11 echo          may be a hacked or corrupted file.

if %ERR%==20 echo comment: A test of distribution permission has been requested, and the 
if %ERR%==20 echo          VENDINFO file prohibits distribution in the described way.

if %ERR%==21 echo comment: A test of distribution permission has been requested, and an 
if %ERR%==21 echo          executable in the package prohibits distribution in the described
if %ERR%==21 echo          way.

if %ERR%==22 echo comment: VendPrcs has been asked to move package by product category, and the 
if %ERR%==22 echo           user has flagged this product's category as a "Reject".

if %ERR%==30 echo comment: A test of distribution permission has been requested, and the 
if %ERR%==30 echo          VENDINFO file allows distribution in the described way, but only if
if %ERR%==30 echo          additional requirements are satisfied.

if %ERR%==31 echo comment: A test of distribution permission has been requested, and the 
if %ERR%==31 echo          VENDINFO file allows distribution in the described way, but only if
if %ERR%==31 echo          written permission is obtained.

if %ERR%==32 echo comment: A test of distribution permission has been requested, and the 
if %ERR%==32 echo          VENDINFO file allows distribution in the described way, but only if
if %ERR%==32 echo          additional requirements are satisfied AND written permission is
if %ERR%==32 echo          obtained.

if %ERR%==40 echo comment: A test of distribution permission has been requested, and the 
if %ERR%==40 echo          VENDINFO file allows distribution in the described way.  All
if %ERR%==40 echo          conditions have been satisfied.

if %ERR%==50 echo comment: A test for existence of a field value (or certain other tests) has 
if %ERR%==50 echo          been requested, and the result is TRUE.

if %ERR%==51 echo comment: A test for existence of a field value (or certain other tests) has 
if %ERR%==51 echo          been requested, and the result is FALSE.

if %ERR%==52 echo comment: Extraction of a field value has been requested, and performed 
if %ERR%==52 echo          successfully (return of "(none)" for a missing value is regarded as a
if %ERR%==52 echo          success).

SET ERR=
:EXIT
ECHO 

